Experiment:
  obligatory_properties:
    date:
      datatype: DATETIME 
      description: 'date of the experiment'
    identifier:
      datatype: TEXT 
      description: 'identifier of the experiment'
  # TODO empty  recommended_properties is a problem
  #recommended_properties:
    responsible:
Project:
Person:
  obligatory_properties:
    firstName:
      datatype: TEXT 
      description: 'First name of a Person.'
    lastName:
      datatype: TEXT 
      description: 'LastName of a Person.'
  recommended_properties:
    email:
      datatype: TEXT 
      description: 'Email of a Person.'
responsible:
  datatype: REFERENCE
revisionOf:
  datatype: REFERENCE
results:
  datatype: REFERENCE
sources:
  datatype: REFERENCE
scripts:
  datatype: REFERENCE
SourceCode:
Simulation:
  obligatory_properties:
    date:
    identifier:
    responsible:
Analysis:
  obligatory_properties:
    date:
    identifier:
    responsible:
Publication:
Thesis:
  inherit_from_suggested:
  - Publication
Article:
  inherit_from_suggested:
  - Publication
Poster:
  inherit_from_suggested:
  - Publication
Presentation:
  inherit_from_suggested:
  - Publication
Report:
  inherit_from_suggested:
  - Publication
